UALARM(3)

NAME
ualarm - schedule signal after specified time

SYNOPSIS
unsigned ualarm(value, interval)
unsigned value;
unsigned interval;

DESCRIPTION
This is a simplified interface to setitimer(2).

Ualarm causes signal SIGALRM, see signal(3C), to be sent to the invoking process in a number of microseconds given by the value argument. Unless caught or ignored, the signal terminates the process.

If the interval argument is non-zero, the SIGALRM signal will be sent to the process every interval microseconds after the timer expires (e.g. after value microseconds have passed).

Because of scheduling delays, resumption of execution of when the signal is caught may be delayed an arbitrary amount. The longest specifiable delay time is 2147483647 microseconds.

The return value is the amount of time previously remaining in the alarm clock.

SEE ALSO
getitimer(2), setitimer(2), sigpause(2), sigvec(2), signal(3C), sleep(3), alarm(3), usleep(3)